package net.northking.cctp.mobile.entity;

import java.util.Map;

public class FileMessage {
    private String fileUrl;
    private String fileSaveUrl;
    private String bucketName;
    private String timestamp;
    private Map<String,Object> message;
    private Map<String,Object> manifest;

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileSaveUrl() {
        return fileSaveUrl;
    }

    public void setFileSaveUrl(String fileSaveUrl) {
        this.fileSaveUrl = fileSaveUrl;
    }

    public String getBucketName() {
        return bucketName;
    }

    public void setBucketName(String bucketName) {
        this.bucketName = bucketName;
    }

    public Map<String, Object> getMessage() {
        return message;
    }

    public void setMessage(Map<String, Object> message) {
        this.message = message;
    }

    public Map<String, Object> getManifest() {
        return manifest;
    }

    public void setManifest(Map<String, Object> manifest) {
        this.manifest = manifest;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }
}
